apiVersion: v1
items:
- apiVersion: maistra.io/v2
  kind: ServiceMeshControlPlane
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"maistra.io/v2","kind":"ServiceMeshControlPlane","metadata":{"annotations":{},"name":"minimal","namespace":"istio-system"},"spec":{"addons":{"metrics":{"prometheus":{"enabled":false}},"tracing":{"jaeger":{"install":{},"name":"jaeger"},"type":"None"},"visualization":{"grafana":{"enabled":false,"install":{}},"kiali":{"enabled":false,"install":{},"name":"kiali"}}},"version":"v2.0"}}
    creationTimestamp: "2020-09-03T14:44:09Z"
    finalizers:
    - maistra.io/istio-operator
    generation: 1
    managedFields:
    - apiVersion: maistra.io/v2
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubectl.kubernetes.io/last-applied-configuration: {}
        f:spec:
          .: {}
          f:addons:
            .: {}
            f:metrics:
              .: {}
              f:prometheus:
                .: {}
                f:enabled: {}
            f:tracing:
              .: {}
              f:jaeger:
                .: {}
                f:install: {}
                f:name: {}
              f:type: {}
            f:visualization:
              .: {}
              f:grafana:
                .: {}
                f:enabled: {}
                f:install: {}
              f:kiali:
                .: {}
                f:enabled: {}
                f:install: {}
                f:name: {}
          f:version: {}
      manager: oc
      operation: Update
      time: "2020-09-03T14:44:09Z"
    - apiVersion: maistra.io/v2
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers: {}
        f:status:
          .: {}
          f:annotations:
            .: {}
            f:readyComponentCount: {}
          f:conditions: {}
          f:lastAppliedConfiguration: {}
      manager: istio-operator
      operation: Update
      time: "2020-09-03T14:44:11Z"
    name: minimal
    namespace: istio-system
    resourceVersion: "59908"
    selfLink: /apis/maistra.io/v2/namespaces/istio-system/servicemeshcontrolplanes/minimal
    uid: 95f58386-495d-4923-b4c8-9d4ffe1d8857
  spec:
    addons:
      metrics:
        prometheus:
          enabled: false
      tracing:
        jaeger:
          name: jaeger
        type: Jaeger
      visualization:
        grafana:
          enabled: false
        kiali:
          enabled: false
          name: kiali
    profiles:
    - default
    proxy:
      networking:
        protocol: {}
    version: v2.0
  status:
    annotations:
      readyComponentCount: 1/1
    conditions:
    - lastTransitionTime: "2020-09-03T14:44:09Z"
      message: Installing mesh generation 1
      reason: ResourceCreated
      status: "False"
      type: Installed
    - lastTransitionTime: "2020-09-03T14:44:09Z"
      message: 'Error rendering helm charts: error: no matches for kind "Jaeger" in
        version "jaegertracing.io/v1"'
      reason: ReconcileError
      status: "False"
      type: Reconciled
    - lastTransitionTime: "2020-09-03T14:44:09Z"
      message: 'Error rendering helm charts: error: no matches for kind "Jaeger" in
        version "jaegertracing.io/v1"'
      reason: ComponentsNotReady
      status: "False"
      type: Ready
    lastAppliedConfiguration: {}
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
